SSTableNamesIterator (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db.columniterator

## Class SSTableNamesIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<OnDiskAtom>
    - - org.apache.cassandra.db.columniterator.SSTableNamesIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtom>, OnDiskAtomIterator, CloseableIterator<OnDiskAtom>

      public class SSTableNamesIterator
      extends com.google.common.collect.AbstractIterator<OnDiskAtom>
      implements OnDiskAtomIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.SortedSet<CellName>` | `columns`
    `DecoratedKey` | `key`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableNamesIterator(SSTableReader sstable, DecoratedKey key, java.util.SortedSet<CellName> columns)`
    `SSTableNamesIterator(SSTableReader sstable, FileDataInput file, DecoratedKey key, java.util.SortedSet<CellName> columns, RowIndexEntry indexEntry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` clean up any open resources
    `protected OnDiskAtom` | `computeNext()`
    `ColumnFamily` | `getColumnFamily()`
    `DecoratedKey` | `getKey()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

- - ### Field Detail

    - #### columns

          public final java.util.SortedSet<CellName> columns

    - #### key

          public final DecoratedKey key

  - ### Constructor Detail

    - #### SSTableNamesIterator

          public SSTableNamesIterator(SSTableReader sstable,
                              DecoratedKey key,
                              java.util.SortedSet<CellName> columns)

    - #### SSTableNamesIterator

          public SSTableNamesIterator(SSTableReader sstable,
                              FileDataInput file,
                              DecoratedKey key,
                              java.util.SortedSet<CellName> columns,
                              RowIndexEntry indexEntry)

  - ### Method Detail

    - #### getKey

          public DecoratedKey getKey()

      Specified by:
        `getKey` in interface `OnDiskAtomIterator`
      Returns:
        the current row key

    - #### getColumnFamily

          public ColumnFamily getColumnFamily()

      Specified by:
        `getColumnFamily` in interface `OnDiskAtomIterator`
      Returns:
        A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

    - #### computeNext

          protected OnDiskAtom computeNext()

      Specified by:
        `computeNext` in class `com.google.common.collect.AbstractIterator<OnDiskAtom>`

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from interface: `OnDiskAtomIterator`
      clean up any open resources
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `OnDiskAtomIterator`
      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation